The Alternative Csound Reference Manual
Previous |  | Next

# nchnls

nchnls -- Sets the number of channels of audio output.

## Description

These statements are global value assignments, made at the beginning of an orchestra, before any instrument block is defined. Their function is to set certain reserved symbol variables that are required for performance. Once set, these reserved symbols can be used in expressions anywhere in the orchestra.

## Syntax

nchnls = iarg

## Initialization

nchnls = (optional) -- set number of channels of audio output to iarg. (1 = mono, 2 = stereo, 4 = quadraphonic.) The default value is 1 (mono).

In addition, any global variable can be initialized by an init-time assignment anywhere before the first instr statement. All of the above assignments are run as instrument 0 (i-pass only) at the start of real performance.

## See Also

kr, ksmps, sr

Previous | Home | Next
mxadsr | Up | nestedap